Skip to main content
PATCH
Update webhook

Authorizations

X-API-Key
string
header
required

Path Parameters

webhookID
string<uuid>
required

Body

application/json

Configuration for updating existing webhooks

enabled
boolean
name
string

Webhook user friendly name

url
string<uri>
events
enum<string>[]
Available options:
sandbox.lifecycle.created,
sandbox.lifecycle.killed,
sandbox.lifecycle.paused,
sandbox.lifecycle.resumed,
sandbox.lifecycle.updated,
sandbox.lifecycle.checkpointed
Example:
signatureSecret
string

Secret used to sign the webhook payloads

Minimum string length: 32
Example:

"replace-with-your-random-signing-secret"

Response

Successfully updated webhook.

Webhook detail response

id
string
required

Webhook unique identifier

teamId
string
required

Unique identifier for the team

name
string
required

Webhook user friendly name

createdAt
string<date-time>
required

Time when the template was created

url
string<uri>
required
enabled
boolean
required
events
string[]
required